Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Activating 3D points in CATIA Drawing Document

Status
Not open for further replies.

sriharsha1994

Mechanical
Jul 28, 2015
30
IN
Hello Everyone,
I have a CATIA drawing document having front,back and side views.In my 3D part,I also have some 3D points.When we open Drawing document,by default these 3D Points are not visible.We need to select front view properties and tick the “3D points section”..How can we do this using VB code?..I did nt find any appropiate API for this.I am also attaching a picture below for your reference

Please help me
 
 http://files.engineering.com/getfile.aspx?folder=3b3cf596-3f83-4f4f-ab1a-1f92aa695af5&file=CATIA-Dwg.png
Replies continue below

Recommended for you

Hi Daniel,Thanks for your reply.I have tried recording a macro,but still I am not able to activate 3Dpoint section (tick the 3D point box)..I am able to change all other properties in the properties of front view except this..Plz help me.
 
Hi Jenial,

I could not find it by recording Macro but I have found the API itself

drawingViewGenerativeBehavior3.PointsProjectionMode = CatPointsProjectionMode.catPointsProjectionModeOn
 
Code:
Sub CATMain()

Dim drawingDocument1 As DrawingDocument
Set drawingDocument1 = CATIA.ActiveDocument

Dim drawingSheets1 As DrawingSheets
Set drawingSheets1 = drawingDocument1.Sheets

Dim drawingSheet1 As DrawingSheet
Set drawingSheet1 = drawingSheets1.Item("Sheet.1")

Dim drawingViews1 As DrawingViews
Set drawingViews1 = drawingSheet1.Views

Dim drawingView1 As DrawingView
Set drawingView1 = drawingViews1.Item("Front view")

Dim drawingViewGenerativeBehavior1 As DrawingViewGenerativeBehavior
Set drawingViewGenerativeBehavior1 = drawingView1.GenerativeBehavior

Set drawingViewGenerativeBehavior1 = drawingView1.GenerativeBehavior

Dim MyView As DrawingView
Set MyView = drawingViews1.Item("Front view")

MyView.GenerativeBehavior.PointsProjectionMode = catPointsProjectionModeOn

drawingViewGenerativeBehavior1.ForceUpdate

End Sub

works for me. workaround on that
 
Hi Jenial,
Thanks a ton. That worked perfect.Can you please tell me your email Id.I will post them directly to you.
 
them who? it's forbidden to post emails on this forum. sorry
 
Hi Jenial,
How can we turn off grid(present in the backgroud) in CATIA using CATIA VB and also CATIA CAA?
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor

Top